# Uses of Class
org.springframework.cache.interceptor.CacheOperation

Packages that use CacheOperation
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.

## Uses of CacheOperation in org.springframework.cache.annotation

Methods in org.springframework.cache.annotation that return types with arguments of type CacheOperation
Modifier and Type
Method
Description
`protected Collection<CacheOperation>`
AnnotationCacheOperationSource.`determineCacheOperations(AnnotationCacheOperationSource.CacheOperationProvider provider)`
Determine the cache operation(s) for the given `AnnotationCacheOperationSource.CacheOperationProvider`.
`protected Collection<CacheOperation>`
AnnotationCacheOperationSource.`findCacheOperations(Class<?> clazz)`
`protected Collection<CacheOperation>`
AnnotationCacheOperationSource.`findCacheOperations(Method method)`
`Collection<CacheOperation>`
AnnotationCacheOperationSource.CacheOperationProvider.`getCacheOperations(CacheAnnotationParser parser)`
Return the `CacheOperation` instance(s) provided by the specified parser.
`Collection<CacheOperation>`
CacheAnnotationParser.`parseCacheAnnotations(Class<?> type)`
Parse the cache definition for the given class, based on an annotation type understood by this parser.
`Collection<CacheOperation>`
CacheAnnotationParser.`parseCacheAnnotations(Method method)`
Parse the cache definition for the given method, based on an annotation type understood by this parser.
`Collection<CacheOperation>`
SpringCacheAnnotationParser.`parseCacheAnnotations(Class<?> type)`
`Collection<CacheOperation>`
SpringCacheAnnotationParser.`parseCacheAnnotations(Method method)`

## Uses of CacheOperation in org.springframework.cache.interceptor

Subclasses of CacheOperation in org.springframework.cache.interceptor
Modifier and Type
Class
Description
`class`
`CacheableOperation`
Class describing a cache 'cacheable' operation.
`class`
`CacheEvictOperation`
Class describing a cache 'evict' operation.
`class`
`CachePutOperation`
Class describing a cache 'put' operation.
Methods in org.springframework.cache.interceptor that return CacheOperation
Modifier and Type
Method
Description
`abstract CacheOperation`
CacheOperation.Builder.`build()`
`CacheOperation`
CacheAspectSupport.CacheOperationContext.`getOperation()`
Methods in org.springframework.cache.interceptor that return types with arguments of type CacheOperation
Modifier and Type
Method
Description
`protected abstract Collection<CacheOperation>`
AbstractFallbackCacheOperationSource.`findCacheOperations(Class<?> clazz)`
Subclasses need to implement this to return the cache operations for the given class, if any.
`protected abstract Collection<CacheOperation>`
AbstractFallbackCacheOperationSource.`findCacheOperations(Method method)`
Subclasses need to implement this to return the cache operations for the given method, if any.
`Collection<CacheOperation>`
AbstractFallbackCacheOperationSource.`getCacheOperations(Method method, Class<?> targetClass)`
`Collection<CacheOperation>`
CacheOperationSource.`getCacheOperations(Method method, Class<?> targetClass)`
Return the collection of cache operations for this method, or `null` if the method contains no cacheable annotations.
`Collection<CacheOperation>`
CompositeCacheOperationSource.`getCacheOperations(Method method, Class<?> targetClass)`
`Collection<CacheOperation>`
NameMatchCacheOperationSource.`getCacheOperations(Method method, Class<?> targetClass)`
Methods in org.springframework.cache.interceptor with parameters of type CacheOperation
Modifier and Type
Method
Description
`protected CacheAspectSupport.CacheOperationMetadata`
CacheAspectSupport.`getCacheOperationMetadata(CacheOperation operation, Method method, Class<?> targetClass)`
Return the `CacheAspectSupport.CacheOperationMetadata` for the specified operation.
`protected CacheAspectSupport.CacheOperationContext`
CacheAspectSupport.`getOperationContext(CacheOperation operation, Method method, Object[] args, Object target, Class<?> targetClass)`
Method parameters in org.springframework.cache.interceptor with type arguments of type CacheOperation
Modifier and Type
Method
Description
`void`
NameMatchCacheOperationSource.`addCacheMethod(String methodName, Collection<CacheOperation> ops)`
Add an attribute for a cacheable method.
`protected Collection<? extends Cache>`
CacheAspectSupport.`getCaches(CacheOperationInvocationContext<CacheOperation> context, CacheResolver cacheResolver)`
`void`
NameMatchCacheOperationSource.`setNameMap(Map<String,Collection<CacheOperation>> nameMap)`
Set a name/attribute map, consisting of method names (for example, "myMethod") and CacheOperation instances (or Strings to be converted to CacheOperation instances).
Constructors in org.springframework.cache.interceptor with parameters of type CacheOperation
Modifier
Constructor
Description
``
`CacheOperationMetadata(CacheOperation operation, Method method, Class<?> targetClass, KeyGenerator keyGenerator, CacheResolver cacheResolver)`